Index: tester/rtems/testing/bsps/leon3-tsim-cmds
===================================================================
--- tester/rtems/testing/bsps/leon3-tsim-cmds	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
+++ tester/rtems/testing/bsps/leon3-tsim-cmds	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
@@ -0,0 +1,2 @@
+go 0x40000000 90 s
+quit
Index: tester/rtems/testing/bsps/leon3_tsim-run.mc
===================================================================
--- tester/rtems/testing/bsps/leon3_tsim-run.mc	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
+++ tester/rtems/testing/bsps/leon3_tsim-run.mc	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
@@ -0,0 +1,55 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2015 On-Line Applications Research Corporation (OAR).
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# All paths in defaults must be Unix format. Do not store any Windows format
+# paths in the defaults.
+#
+# Every entry must describe the type of checking a host must pass.
+#
+# Records:
+#  key: type, attribute, value
+#   type     : none, dir, exe, triplet
+#   attribute: none, required, optional
+#   value    : 'single line', '''multi line'''
+#
+
+#
+# The LEON3 BSP on TSIM
+#
+#
+[global]
+bsp:              none,    none,     'leon3'
+
+[tsim_leon3]
+tsim_leon3:       none,    none,     '%{_rtscripts}/run.cfg'
+tsim_leon3_arch:  none,    none,     'sparc'
+bsp_run_cmd:      none,    none,     'tsim-leon3'
+bsp_run_opts:     none,    none,     '-c %{_rtscripts}/bsps/leon3-tsim-cmds'
Index: tester/rtems/testing/bsps/leon3_tsim.mc
===================================================================
--- tester/rtems/testing/bsps/leon3_tsim.mc	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
+++ tester/rtems/testing/bsps/leon3_tsim.mc	(revision d2d91f56e8788c0ecd8bc04acebad926c4ebb6a0)
@@ -0,0 +1,56 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2015 On-Line Applications Research Corporation (OAR).
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# All paths in defaults must be Unix format. Do not store any Windows format
+# paths in the defaults.
+#
+# Every entry must describe the type of checking a host must pass.
+#
+# Records:
+#  key: type, attribute, value
+#   type     : none, dir, exe, triplet
+#   attribute: none, required, optional
+#   value    : 'single line', '''multi line'''
+#
+
+#
+# The LEON3 BSP running on TSIM
+#
+[global]
+bsp:                   none,    none,     'leon3_tsim'
+
+[leon3_tsim]
+leon3_tsim:             none,    none,     '%{_rtscripts}/gdb.cfg'
+leon3_tsim_arch:        none,    none,     'sparc'
+gdb_script:             none,    none,     'leon3_tsim_gdb_script'
+leon3_tsim_gdb_script:  none,    none,     '''target remote :1234
+                                           load
+                                           continue'''
